<?PHP
	////++++++++++++++++ CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////
	
	////Conexiones y tiempos de ejecución
	$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
	$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
	ini_set('max_execution_time', $LtEn);
	include ("../Conections/$VpnEn.php");
	
	$Cve_Modulo = "CMOD201506100169";
	
	///Arrastra Variables Fijas
	$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
	$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
	$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
	$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];
	
	
	/////////Identificar personalización 2
	$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
	if (mysql_numrows($sqlP2)==0) echo "";
	else{
		$registroP2=mysql_fetch_array($sqlP2);
	}
	if (mysql_numrows($sqlP2)>0)
	{
		$Titulo=$registroP2["TITULO_PAGINAS"];
	}
	
	/////////Identificar configuracion 1
	$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
	if (mysql_numrows($sqlC1)==0) echo "";
	else{
		$registroC1=mysql_fetch_array($sqlC1);
	}
	if (mysql_numrows($sqlC1)>0)
	{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
	}
	
	//////Identificar la Cuenta y la Bodega
	$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
	if (mysql_numrows($sqlCR1)==0) echo "";
	else{
		$registroCR1=mysql_fetch_array($sqlCR1);
	}
	if (mysql_numrows($sqlCR1)>0)
	{
		$CveBodCR1=$registroCR1["CVE_BODEGA"];
		$CveCueCR1=$registroCR1["CVE_CUENTA"];
	}
	
	$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
	if (mysql_numrows($sqlCR2)==0) echo "";
	else{
		$registroCR2=mysql_fetch_array($sqlCR2);
	}
	if (mysql_numrows($sqlCR2)>0)
	{
		$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
	}
	
	////++++++++++++++ FIN CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////		
?>		
<!--<!DOCTYPE html>-->
<!--<html>-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
	
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width"/>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		
		<link rel="shortcut icon" href="../SIMA_Resourses/images/favicon.ico">
		<title><?PHP echo $Titulo; ?></title>
		<style type="text/css">
			.Clase_TipoLetraTitulos {
			font-family: <?PHP echo $FuTi_Form; ?>;
			font-size:<?PHP echo $TaTi_Form; ?>px;
			color:<?PHP echo $BgTi_Form; ?>;
			}
			.Clase_TipoLetra {
			font-family: Microsoft Sans Serif;
			font-size:12px;
			color:#333;
			}
			.Clase_INPUT_Text {
			border: 1px solid <?PHP echo $Borde_Form; ?>;
			background: #FFFFFF;
			COLOR: #000000;
			FONT-FAMILY: Arial, Helvetica, sans-serif;
			FONT-SIZE: 12px;
			}
			
		</style>
		<link href="jquery-mobile/jquery.mobile-1.0.min.css" rel="stylesheet" type="text/css"/>
		<script src="jquery-mobile/jquery-1.6.4.min.js" type="text/javascript"></script>
		<script src="jquery-mobile/jquery.mobile-1.0.min.js" type="text/javascript"></script>
		
		<!-- Inicia Validador de Inactividad -->
		<script type="text/javascript">
			var Inac;
			function ini() {
				Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
			}
			function parar() {
				clearTimeout(Inac);
				Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
			}
		</script>
		
		<!-- Termina Validador de Inactividad -->
		
	</head>
	
	<body onload="ini()" onkeypress="parar()" onclick="parar()"> 
		<!-- Inicia Cuerpo de la Interfaz Gráfica -->
		<div data-role="page" id="page">
			<?PHP
				////++++++++++++++++ CONFIGURACIÓN FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////
				
				/////////Identifica si el token aun esta vigente
				$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
				$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
				$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
				$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
				$FechAct=$PreTo4=date("d/m/Y");
				
				if ($FechTok<>$FechAct)
				{
					echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
				}
				else
				{ ///Inicia IF Sesion Token
					
					/////////Identificar permisos de acceso 1
					$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
					if (mysql_numrows($sqlPA1)==0) 
					{
						echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
						echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
					}
					else
					{ ///Inicia IF Permiso de Acceso 1
						
						/////////Identificar permisos de acceso 2
						$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
						if (mysql_numrows($sqlPA2)==0) 
						{
							echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
						}
						else
						{ ///Inicia IF Permiso de Acceso 2
							
							/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
							$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
							if (mysql_numrows($sqlPA3)==0) 
							{
								echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
							}
							else
							{ ///Inicia IF Permiso de Acceso 3
								
								
								//////HORA y FECHA/////
								$Hora=time();
								$HoraOK=date("H:i:s",$Hora);
								$Fecha=date("Y/m/d");
								
								///Arrastrando Campos
								$NDocuEn=$_POST['txt_NDOC'] or $NDocuEn=$_GET['txt_NDOC'];
								
								//////Identificar si el Documento Existe
								$sqlID1 = mysql_query("select * from tabla_documentos WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOC_COMPLE='$NDocuEn'");
								if (mysql_numrows($sqlID1)==0) 
								{
									echo "<script>alert('El Documento Solicitado No Existe\\nFavor de Corroborarlo.')</script>";
									echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=7-ReciboPreClasifica1.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
								}
								else
								{ ///Inicia IF Existencia de Documento
									
									//////Identificar si el Estado del Documento es apto para este proceso
									$sqlID2 = mysql_query("select * from tabla_documentos WHERE CVE_CUENTA='$CveCueCR1' AND NO_DOC_COMPLE='$NDocuEn'");
									if (mysql_numrows($sqlID2)==0) echo "";
									else{
										$registroID2=mysql_fetch_array($sqlID2);
									}
									if (mysql_numrows($sqlID2)>0)
									{
										$EdoDoID2=$registroID2["ESTADO_DOCUMENTO"];
										$VigeID2=$registroID2["VIGENCIA"];
									}
									
									////Identificar La caducidad de Documento
									if ($VigeID2<$Fecha)
									{
										echo "<script>alert('El Documento de Recibo Solicitado ha Caducado.\\nFavor de Corroborarlo.'); </script>";
										echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=7-ReciboPreClasifica1.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
										exit();
									}
									else
									{ //// Inicia If Valiador de Caducidad Documento
										
										/////if ($EdoDoID2<>"POR RECIBIR" and $EdoDoID2<>"RECIBIENDO")
										if ($EdoDoID2 !="CREADO")
										{
											echo "<script>alert('El Estado del Documento de Recibo no es apto para este proceso.\\nFavor de Corroborarlo.'); </script>";
											echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=7-ReciboPreClasifica1.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
											exit();
										}
										
										////++++++++++++++ FIN CONFIGURACIÓN FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////
									?>
									
									<div data-role="header">    
										<h1>|| LOGSYS - WMS ||</h1>
									</div>
									<div data-role="content" align="center">	
										<!-- Inicia Cuerpo de la Pantalla -->
										
										<?PHP 
											$NDocuEn=$_POST['txt_NDOC'] or $NDocuEn=$_GET['txt_NDOC'];
											$SkuEn=$_GET['txt_SKU'] or $SkuEn=$_POST['txt_SKU'];
											$cantidad=$_GET['txt_pzas'] or $cantidad=$_POST['txt_pzas'];
											$calidad=$_GET['edocal'] or $calidad=$_POST['edocal'];
											$cveub=$_GET['ubic'] or $cveub=$_POST['ubic'];
											///Validar campos en blanco
											if ($SkuEn=="")
											{
												echo "<script>alert('Favor de escanear el Sku/Upc a Recibir.');</script>";
												echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=7-ReciboPreClasifica2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NDOC=$NDocuEn'>";
												exit();
											}			
											//////Identificar Los Datos de SKU por medio de su UPC
											$sqlD1 = mysql_query("select * from tabla_alta_producto_upc WHERE CVE_CUENTA='$CveCueCR1' AND UPC='$SkuEn'");
											if (mysql_numrows($sqlD1)==0)
											{
												//////Identificar si el Sku Se encuentra dado de Alta dentro del Catalogo de Articulos
												$sqlD2 = mysql_query("select * from tabla_altaproducto WHERE CUENTA='$CveCueCR1' AND SKU='$SkuEn'");
												if (mysql_numrows($sqlD2 )==0)
												{
													echo "<script>alert('El SKU/UPC escaneado/digitado no se encuentra dado de Alta dentro del Sistema. Favor de corroborarlo.');</script>";
													echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=7-ReciboPreClasifica2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NDOC=$NDocuEn'>";
													exit();
												}
												else
												{
													$sku = $SkuEn;
												}
											}
											else
											{
												$registroD1=mysql_fetch_array($sqlD1);
											}
											if (mysql_numrows($sqlD1)>0)
											{
												$sku=$registroD1["SKU"];
											}
											
											////Inicia el analisis general
											
											////Identificar la configuración del Recibo de Preclasificación
											$sql_A1 = mysql_query("select * from wms_configura_recibo_pre WHERE CVE_BODEGA='$CveBodCR1' AND CVE_CUENTA='$CveCueCR1'");
											if (mysql_numrows($sql_A1)==0) echo "";
											else{
												$registro_A1=mysql_fetch_array($sql_A1);
											}
											if (mysql_numrows($sql_A1)>0)
											{
												$tipub=$registro_A1["TIPO_UBICACION"];
												$om=$registro_A1["OCUPACION_MAX"];
											}
											
											if ($cantidad>$om){echo "<script>alert('La cantidad de ocupación máxima establecida es de $om, por favor introduzca una cantidad menor.');</script>";echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=7-ReciboPreClasifica2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NDOC=$NDocuEn'>";
													exit();
												}
//verificar cant
$cant = mysql_query("SELECT CALIDAD,SKU,(CASE WHEN SUM(PZAS) IS NULL THEN 0 ELSE SUM(PZAS) END) AS X FROM tabla_reciboxpreclasi WHERE CVE_UBICACION='$cveub' AND CVE_BODEGA='$CveBodCR1' AND CVE_CUENTA='$CveCueCR1' AND ESTATUS!='CERRADO'");
											$cnt = mysql_fetch_array($cant);
											if((($cnt['X']+$cantidad > $om) OR (($cnt['SKU']!=$SkuEn) and ($cnt['SKU']!='' and $cnt['SKU']!=NULL))) AND (!ISSET($_POST['devol']))){
												echo "<script>alert('La ocupación de la ubicación ha cambiado\\nFavor de introducir los datos nuevamente.');</script>";
													echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=7-ReciboPreClasifica2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NDOC=$NDocuEn'>";EXIT();
												}
														
													
													
											////Identificar los datos necesarios del Articulo
											$sql_A2 = mysql_query("select NOTA1,NOTA2 from tabla_altaproducto WHERE CUENTA='$CveCueCR1' AND SKU='$sku'");
											if (mysql_numrows($sql_A2)==0){
													echo "<script>alert('El SKU/UPC escaneado/digitado no se encuentra dado de Alta dentro del Sistema. Favor de corroborarlo.');</script>";
													echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=7-ReciboPreClasifica2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NDOC=$NDocuEn'>";
													exit();
												}
											else{
												$registro_A2=mysql_fetch_array($sql_A2);
											}
											if (mysql_numrows($sql_A2)>0)
											{
												$edit=$registro_A2["NOTA1"];
												$circulacion=$registro_A2["NOTA2"];
											}
											
											if ($circulacion == 'DX')
											{
												//echo "<script>alert('El SKU/UPC escaneado/digitado esta destinado a destrucción.');</script>";
												
												$Hora=time();
												$HoraOK=date("H:i:s",$Hora);
												$Fecha=date("Y/m/d");
												
												$index = mysql_query("SELECT MAX( ID ) AS idx FROM tabla_reciboxpreclasi");
												$indx = mysql_fetch_array($index);
												$idx = $indx[0] + 1;
												
												preg_match("/(.*)\-(.*)\-(.*)\-(.*)/", $cveub, $result);
												$ld = mysql_query("INSERT INTO  tabla_reciboxpreclasi (ID ,CVE_BODEGA ,CVE_CUENTA ,NO_DOCUMENTO ,SKU ,PZAS ,EDITORIAL, CALIDAD ,CVE_MODULO ,CVE_UBICACION ,HORA ,FECHA ,USUARIO ,ESTATUS) VALUES ('$idx',  '$CveBodCR1',  '$CveCueCR1',  '$NDocuEn',  '$sku',  '$cantidad',  '$edit','$calidad',  '$result[2]',  '$cveub',  '$HoraOK',  '$Fecha',  '$UsuEn',  'ABIERTO')");
												
												if($ld){echo "<script>alert('Se ha realizado el registro correctamente')</script>";}
												else
												{
												echo "<script>alert('Hubo un problema al crear el registro, por favor inténtelo de nuevo.')</script>";}
												
												
												
												echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=7-ReciboPreClasifica2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NDOC=$NDocuEn'>";
												exit();
											}

												$Hora=time();
												$HoraOK=date("H:i:s",$Hora);
												$Fecha=date("Y/m/d");
												
												$index = mysql_query("SELECT MAX( ID ) AS idx FROM tabla_reciboxpreclasi");
												$indx = mysql_fetch_array($index);
												$idx = $indx[0] + 1;
												
												preg_match("/(.*)\-(.*)\-(.*)\-(.*)/", $cveub, $result);
												$ld = mysql_query("INSERT INTO  tabla_reciboxpreclasi (ID ,CVE_BODEGA ,CVE_CUENTA ,NO_DOCUMENTO ,SKU ,PZAS ,EDITORIAL, CALIDAD ,CVE_MODULO ,CVE_UBICACION ,HORA ,FECHA ,USUARIO ,ESTATUS) VALUES ('$idx',  '$CveBodCR1',  '$CveCueCR1',  '$NDocuEn',  '$sku',  '$cantidad',  '$edit','$calidad',  '$result[2]',  '$cveub',  '$HoraOK',  '$Fecha',  '$UsuEn',  'ABIERTO')");
												
												if($ld){echo "<script>alert('Se ha realizado el registro correctamente')</script>";}
												else
												{
												echo "<script>alert('Hubo un problema al crear el registro, por favor inténtelo de nuevo.')</script>";
													
													//ECHO "INSERT INTO  tabla_reciboxpreclasi (ID ,CVE_BODEGA ,CVE_CUENTA ,NO_DOCUMENTO ,SKU ,PZAS ,EDITORIAL, CALIDAD ,CVE_MODULO ,CVE_UBICACION ,HORA ,FECHA ,USUARIO ,ESTATUS) VALUES ('$idx',  '$CveBodCR1',  '$CveCueCR1',  '$NDocuEn',  '$sku',  '$cantidad',  '$edit','$calidad',  '$result[2]',  '$cveub',  '$HoraOK',  '$Fecha',  '$UsuEn',  'ABIERTO')";EXIT();
													}
												echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=7-ReciboPreClasifica2.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&txt_NDOC=$NDocuEn'>";
											
											//fin
											
										?>
										
										<!-- Termina Cuerpo de la Pantalla -->		
									</div>
									<div data-role="footer">
										<h4><font size="2">www.logsyswms.com | Usuario: <?PHP echo $UsuEn; ?></font></h4>
									</div>
								</div>
								<!-- Termina Cuerpo de la Interfaz Gráfica -->
								
								<?PHP
								}//// Termina If Valiador de Caducidad Documento
							} ///Termina IF Existencia de Documento
						} ///Termina IF Permiso de Acceso 3
					} ///Termina IF Permiso de Acceso 2
				} ///Termina IF Permiso de Acceso 1
			} ///Termina IF Sesion del Token
		?>
		
	</body>
</html>
